server:
  port: 6751

spring:
  application:
    name: register-center
  boot:
    admin:
      client: # 用户名密码需要配置，否则到监控中心报名
        url: http://${monitor-addr:localhost}:${monitor-port:9985} # 配置监控服务端的地址
        username: ${monitor-username:admin}
        password: ${monitor-password:lantone}

eureka:
  instance:
    hostname: register-center
  client:
    register-with-eureka: false
    fetch-registry: false
    service-url:
      defaultZone: http://localhost:${server.port}/eureka/

logging:
  config: classpath:logback-spring.xml
  level:
    root: ${log-level:info}
  file:
    path: /logs/register-center

management:
  endpoints:
    web:
      exposure:
        include: '*'
  endpoint:
    health:
      show-details: always